FLANG

Classes | Public Member Functions | Public Attributes | List of all members
Fortran::parser::Expr Struct Reference

## Classes
struct | Add
struct | AND
struct | ComplexConstructor
struct | Concat
struct | DefinedBinary
struct | DefinedUnary
struct | Divide
struct | EQ
struct | EQV
struct | GE
struct | GT
struct | IntrinsicBinary
struct | LE
struct | LT
struct | Multiply
struct | NE
struct | Negate
struct | NEQV
struct | NOT
struct | OR
struct | Parentheses
struct | Power
struct | Subtract
struct | UnaryPlus

## Public Member Functions
| UNION_CLASS_BOILERPLATE (Expr)
| WRAPPER_CLASS (IntrinsicUnary, common::Indirection< Expr >)
| WRAPPER_CLASS (PercentLoc, common::Indirection< Variable >)
| Expr (Designator &&)
| Expr (FunctionReference &&)

## Public Attributes
TypedExpr | typedExpr
CharBlock | source
std::variant< common::Indirection< CharLiteralConstantSubstring >, LiteralConstant, common::Indirection< Designator >, ArrayConstructor, StructureConstructor, common::Indirection< FunctionReference >, Parentheses, UnaryPlus, Negate, NOT, PercentLoc, DefinedUnary, Power, Multiply, Divide, Add, Subtract, Concat, LT, LE, EQ, NE, GE, GT, AND, OR, EQV, NEQV, DefinedBinary, ComplexConstructor > | u

The documentation for this struct was generated from the following files:

- include/flang/Parser/parse-tree.h
- lib/Parser/parse-tree.cpp